-- UPGRADES ДЛЯ БЕСКОНЕЧНОГО УРОВНЯ
-- ИЗМЕНЕНИЯ ПРИВЯЗАННЫЕ КО ВРЕМЕНИ
-- как работает: через deltaTime сек. заданные в уровне вызывается если есть endless_time_Х где Х это число вызовов
-- т.е endless_time_3 вызовется через 3 * deltaTime сек., если нету endless_time_3 то вызывается endless_time_def
--[[
    endless_time_def = {
        --target = { cow=CowTimeUpgrade, goat=GoatTimeUpgrade, hen=HenTimeUpgrade },
        target = { 
            cow="SetDeltaImpatience(10);SetDeltaPause(-1);";
            goat="SetDeltaImpatience(10);SetDeltaPause(-1);";
            hen="SetDeltaImpatience(10);SetDeltaPause(-1);";
        };
        params = "";
    };
--]]    
-- ИЗМЕНЕНИЯ ПРИВЯЗАННЫЕ К ОЧКАМ    
-- вызываются по очереди endless_score_1 потом endless_score_2,... если не находит очередного upgrade больше
-- ничего не вызывает, если сейчас очередь endless_score_1, то уровень проверяет набранные очки и если они
-- больше или равны endless_score_1.score то выполняет этот апгрейд и переходит к проверке и ожиданию следующего 
-- если надо показать туториал то в CPP_GameMessage апгрейда вставить нужное имя 
-- например: CPP_GameMessage(10,'имя_в_туториале',0);


--wolf="GameObject.Triggers.Evil.timer={ 300,350 };"
--crow1="GameObject.Triggers.Evil.timer={ 30,35,40 };"
EndlessUpgrades = {



    { -- появление грядки с помидорами
        target = { 
            cow="SetDeltaImpatience(0);SetDeltaPause(0);";
            goat="SetDeltaImpatience(0);SetDeltaPause(0);";
            hen="SetDeltaImpatience(0);SetDeltaPause(0);";
            -- грядка с томатами
            level="CPP_AdjournUnblock('ground');";
        };
        params = "";
        score = 2000;
    };


    { -- появление коровы
        target = { 
            cow="SetDeltaImpatience(-1);SetDeltaPause(0);";
            goat="SetDeltaImpatience(-1);SetDeltaPause(0);";
            hen="SetDeltaImpatience(-1);SetDeltaPause(0);";
            cowshed="CPP_AdjournUnblock('cow');";
        };
        params = "";
        score = 5000;
    };
    { -- появление куры
        target = { 
            cow="SetDeltaImpatience(0);SetDeltaPause(0);";
            goat="SetDeltaImpatience(0);SetDeltaPause(0);";
            hen="SetDeltaImpatience(0);SetDeltaPause(0);";
            henhouse="CPP_AdjournUnblock('hen');";
        };
        params = "";
        score = 8000;
    };
    { -- появление козы
        target = { 
            cow="SetDeltaImpatience(0);SetDeltaPause(0);";
            goat="SetDeltaImpatience(0);SetDeltaPause(0);";
            hen="SetDeltaImpatience(0);SetDeltaPause(0);";
            goathouse="CPP_AdjournUnblock('goat');";
        };
        params = "";
        score = 12000;
    };
    { -- появление волков
        target = { 
            cow="SetDeltaImpatience(0);SetDeltaPause(0);";
            goat="SetDeltaImpatience(0);SetDeltaPause(0);";
            hen="SetDeltaImpatience(0);SetDeltaPause(0);";
            level="CPP_AdjournUnblock('wolf');";
        };
        params = "";
        score = 16000;
    };
    { -- появление машинки еды второй части
        target = { 
            cow="SetDeltaImpatience(0);SetDeltaPause(0);";
            goat="SetDeltaImpatience(0);SetDeltaPause(0);";
            hen="SetDeltaImpatience(0);SetDeltaPause(0);";
            level="CPP_AdjournUnblock('eatmachine');";
        };
        params = "";
        score = 20000;
    };
    { -- появление лимонада
        target = { 
            cow="SetDeltaImpatience(0);SetDeltaPause(0);";
            goat="SetDeltaImpatience(0);SetDeltaPause(0);";
            hen="SetDeltaImpatience(0);SetDeltaPause(0);";
            level="CPP_AdjournUnblock('lemonad');";
        };
        params = "";
        score = 23000;
    };
    { -- появление овцы
        target = { 
            cow="SetDeltaImpatience(0);SetDeltaPause(0);";
            goat="SetDeltaImpatience(0);SetDeltaPause(0);";
            hen="SetDeltaImpatience(0);SetDeltaPause(0);";
            sheephouse="CPP_AdjournUnblock('sheep');";
        };
        params = "";
        score = 27000;
    };
    { -- появление грядки
        target = { 
            cow="SetDeltaImpatience(0);SetDeltaPause(0);";
            goat="SetDeltaImpatience(0);SetDeltaPause(0);";
            hen="SetDeltaImpatience(0);SetDeltaPause(0);";
            level="CPP_AdjournUnblock('ground');";
        };
        params = "";
        score = 31000;
    };
    { -- появление коровы
        target = { 
            cow="SetDeltaImpatience(0);SetDeltaPause(0);";
            goat="SetDeltaImpatience(0);SetDeltaPause(0);";
            hen="SetDeltaImpatience(0);SetDeltaPause(0);";
            cowshed="CPP_AdjournUnblock('cow');";
        };
        params = "";
        score = 35000;
    };
    { -- овечник ломается
        target = { 
            cow="SetDeltaImpatience(0);SetDeltaPause(0);";
            goat="SetDeltaImpatience(0);SetDeltaPause(0);";
            hen="SetDeltaImpatience(0);SetDeltaPause(0);";
            sheephouse="GameObject.Triggers.need_repair.timer={ 100 };GameObject.Triggers.need_repair.first_timer={ 3 };GameObject.Triggers.need_repair.amount=99999;";
        };
        params = "";
        score = 38000;
    };
    { -- грядка
        target = { 
            cow="SetDeltaImpatience(0);SetDeltaPause(0);";
            goat="SetDeltaImpatience(0);SetDeltaPause(0);";
            hen="SetDeltaImpatience(0);SetDeltaPause(0);";
            --level="CPP_AdjournUnblock('chopping');"; --появится дровам
            level="CPP_AdjournUnblock('ground');";
        };
        params = "";
        score = 42000;
    };
    { --коровник, курятник ломается
        target = { 
            cow="SetDeltaImpatience(0);SetDeltaPause(0);";
            goat="SetDeltaImpatience(0);SetDeltaPause(0);";
            hen="SetDeltaImpatience(0);SetDeltaPause(0);";
            cowshed="GameObject.Triggers.need_repair.timer={ 100 };GameObject.Triggers.need_repair.first_timer={ 4 };GameObject.Triggers.need_repair.amount=99999;";
            henhouse="GameObject.Triggers.need_repair.timer={ 100 };GameObject.Triggers.need_repair.first_timer={ 2 };GameObject.Triggers.need_repair.amount=99999;";
        };
        params = "";
        score = 46000;
    };
    { -- появление козы
        target = { 
            cow="SetDeltaImpatience(0);SetDeltaPause(0);";
            goat="SetDeltaImpatience(0);SetDeltaPause(0);";
            hen="SetDeltaImpatience(0);SetDeltaPause(0);";
            goathouse="CPP_AdjournUnblock('goat');";
        };
        params = "";
        score = 50000;
    };
    { --появится кура
        target = { 
            cow="SetDeltaImpatience(0);SetDeltaPause(0);";
            goat="SetDeltaImpatience(0);SetDeltaPause(0);";
            hen="SetDeltaImpatience(0);SetDeltaPause(0);";
            henhouse="CPP_AdjournUnblock('hen');";
        };
        params = "";
        score = 60000;
    };
 { -- увеличить время сна
        target = { 
            cow="SetDeltaImpatience(20);SetDeltaPause(0);";
            goat="SetDeltaImpatience(20);SetDeltaPause(0);";
            hen="SetDeltaImpatience(20);SetDeltaPause(0);";
        };
        params = "";
        score = 150000;
    };


    { -- увеличить время сна
        target = { 
            cow="SetDeltaImpatience(20);SetDeltaPause(0);";
            goat="SetDeltaImpatience(20);SetDeltaPause(0);";
            hen="SetDeltaImpatience(20);SetDeltaPause(0);";
        };
        params = "";
        score = 300000;
    };


    { -- увеличить время сна
        target = { 
            cow="SetDeltaImpatience(20);SetDeltaPause(0);";
            goat="SetDeltaImpatience(20);SetDeltaPause(0);";
            hen="SetDeltaImpatience(20);SetDeltaPause(0);";
        };
        params = "";
        score = 400000;
    };

    { -- увеличить время сна
        target = { 
            cow="SetDeltaImpatience(20);SetDeltaPause(0);";
            goat="SetDeltaImpatience(20);SetDeltaPause(0);";
            hen="SetDeltaImpatience(20);SetDeltaPause(0);";
        };
        params = "";
        score = 600000;
    };

    { -- увеличить время сна
        target = { 
            cow="SetDeltaImpatience(20);SetDeltaPause(0);";
            goat="SetDeltaImpatience(20);SetDeltaPause(0);";
            hen="SetDeltaImpatience(20);SetDeltaPause(0);";
        };
        params = "";
        score = 800000;
    };

    { -- увеличить время сна
        target = { 
            cow="SetDeltaImpatience(20);SetDeltaPause(0);";
            goat="SetDeltaImpatience(20);SetDeltaPause(0);";
            hen="SetDeltaImpatience(20);SetDeltaPause(0);";
        };
        params = "";
        score = 1000000;
    };

    { -- увеличить время сна
        target = { 
            cow="SetDeltaImpatience(20);SetDeltaPause(0);";
            goat="SetDeltaImpatience(20);SetDeltaPause(0);";
            hen="SetDeltaImpatience(20);SetDeltaPause(0);";
        };
        params = "";
        score = 3000000;
    };
    { -- увеличить время сна
        target = { 
            cow="SetDeltaImpatience(20);SetDeltaPause(0);";
            goat="SetDeltaImpatience(20);SetDeltaPause(0);";
            hen="SetDeltaImpatience(20);SetDeltaPause(0);";
        };
        params = "";
        score = 5000000;
    };
    { -- увеличить время сна
        target = { 
            cow="SetDeltaImpatience(20);SetDeltaPause(0);";
            goat="SetDeltaImpatience(20);SetDeltaPause(0);";
            hen="SetDeltaImpatience(20);SetDeltaPause(0);";
        };
        params = "";
        score = 9999999;
    };

};

